Markdent::Role::AnyParser(3pm)

NAME
Markdent::Role::AnyParser - A role for block and span parsers

VERSION
version 0.40

DESCRIPTION
This role implements behavior shared by all types of parser.

ATTRIBUTES
This role provides the following attributes:

  handler
This is a read-only attribute. It is an object which does the Markdent::Role::Handler role.

This is required for all parsers.

METHODS

  $parser->_detab_text(\$text)
This takes a scalar reference to a piece of text that will be outputted and replaces tabs with spaces. This is down after a piece of text is parser for markup.

ROLES
This class does the Markdent::Role::DebugPrinter role.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.